Library & brand
Get asset
GET
/
assets
/
{id}
Get asset
curl --request GET \
--url https://havincy.com/api/v1/assets/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://havincy.com/api/v1/assets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://havincy.com/api/v1/assets/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 5678,
"object": "asset",
"kind": "video",
"modality": "video",
"status": "completed",
"model": "fal-kling-v3-pro",
"prompt": "A small robot walks along a beach at sunset",
"credits": 186,
"url": "https://havincy.com/rails/active_storage/blobs/proxy/.../video.mp4",
"download_url": "https://havincy.com/rails/active_storage/blobs/redirect/.../video.mp4?disposition=attachment",
"preview_url": "https://havincy.com/rails/active_storage/blobs/proxy/.../poster.jpg",
"mime_type": "video/mp4",
"settings": { "aspect_ratio": "9:16", "resolution": "1080p" },
"duration_seconds": 5,
"origin": "rest",
"app_url": "https://havincy.com/ressources/5678"
}
Returns a single library asset with its status, settings and file URLs.
Required permission:
read.
integer
required
Asset id.
integer
default:"0"
Wait up to N seconds (0 to 55) for completion.
{
"id": 5678,
"object": "asset",
"kind": "video",
"modality": "video",
"status": "completed",
"model": "fal-kling-v3-pro",
"prompt": "A small robot walks along a beach at sunset",
"credits": 186,
"url": "https://havincy.com/rails/active_storage/blobs/proxy/.../video.mp4",
"download_url": "https://havincy.com/rails/active_storage/blobs/redirect/.../video.mp4?disposition=attachment",
"preview_url": "https://havincy.com/rails/active_storage/blobs/proxy/.../poster.jpg",
"mime_type": "video/mp4",
"settings": { "aspect_ratio": "9:16", "resolution": "1080p" },
"duration_seconds": 5,
"origin": "rest",
"app_url": "https://havincy.com/ressources/5678"
}
⌘I
Get asset
curl --request GET \
--url https://havincy.com/api/v1/assets/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://havincy.com/api/v1/assets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://havincy.com/api/v1/assets/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 5678,
"object": "asset",
"kind": "video",
"modality": "video",
"status": "completed",
"model": "fal-kling-v3-pro",
"prompt": "A small robot walks along a beach at sunset",
"credits": 186,
"url": "https://havincy.com/rails/active_storage/blobs/proxy/.../video.mp4",
"download_url": "https://havincy.com/rails/active_storage/blobs/redirect/.../video.mp4?disposition=attachment",
"preview_url": "https://havincy.com/rails/active_storage/blobs/proxy/.../poster.jpg",
"mime_type": "video/mp4",
"settings": { "aspect_ratio": "9:16", "resolution": "1080p" },
"duration_seconds": 5,
"origin": "rest",
"app_url": "https://havincy.com/ressources/5678"
}